Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class XDHUPrivateParameters

    java.lang.Object
      org.bouncycastle.crypto.params.XDHUPrivateParameters

All Implemented Interfaces:
  CipherParameters

public class XDHUPrivateParameters
extends java.lang.Object
implements CipherParameters

Parameters holder for private unified static/ephemeral agreement using Edwards Curves.

Constructor Summary
`XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey, AsymmetricKeyParameter ephemeralPrivateKey)`
`XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey, AsymmetricKeyParameter ephemeralPrivateKey, AsymmetricKeyParameter ephemeralPublicKey)`

Method Summary
`AsymmetricKeyParameter` | `getEphemeralPrivateKey()`
`AsymmetricKeyParameter` | `getEphemeralPublicKey()`
`AsymmetricKeyParameter` | `getStaticPrivateKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDHUPrivateParameters

    public XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey,
                                 AsymmetricKeyParameter ephemeralPrivateKey)

### XDHUPrivateParameters

    public XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey,
                                 AsymmetricKeyParameter ephemeralPrivateKey,
                                 AsymmetricKeyParameter ephemeralPublicKey)

Method Detail

### getStaticPrivateKey

    public AsymmetricKeyParameter getStaticPrivateKey()

### getEphemeralPrivateKey

    public AsymmetricKeyParameter getEphemeralPrivateKey()

### getEphemeralPublicKey

    public AsymmetricKeyParameter getEphemeralPublicKey()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD